Added directory to store Ubuntu specific files
[hvlinux.git] / stage2 / cis-udev-config
index eabeee9..d4c9d8d 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name.
 
 # Reading system configuration informations, functions and package versions.
@@ -7,16 +9,12 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-cd ${LFS_TMP}/${1} &&
-make install &&
+cd ${LFS_TMP}/${1}
+make install
 
 # Install the documentation that explains the LFS-specific rules files:
-make install-doc &&
-
-# Install the documentation that explains the commonly-used rules files provided by Udev:
-make install-extra-doc
+make install-doc
 
-# Return last error
 exit $?